Dutch lowercase translation warnings

Bug #1773174 reported by Joost Cassee on 2018-05-24
38
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Undecided
Ubuntu Dutch Translators
snapd
Undecided
Unassigned
snapd (Ubuntu)
Medium
Unassigned

Bug Description

Running any command line snap command with Dutch localization generates these warnings:

2018/05/24 15:24:56.317817 main.go:148: description of sign's "k" is lowercase: "naam van de te gebruiken sleutel, gebruik anders de standaardsleutel"
2018/05/24 15:24:56.317950 main.go:148: description of install's "dangerous" is lowercase: "installeer het opgegeven snapbestand zelfs indien er geen vooraf erkende handtekeningen voor zijn, hetgeen betekent dat het niet werd geverifieerd en dus gevaarlijk zou kunnen zijn (--devmode impliceert dit)"

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: snapd 2.32.8+18.04
ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
Uname: Linux 4.15.0-22-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CurrentDesktop: communitheme:ubuntu:GNOME
Date: Thu May 24 15:27:35 2018
InstallationDate: Installed on 2018-05-23 (0 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
SourcePackage: snapd
UpgradeStatus: No upgrade log present (probably fresh install)

Joost Cassee (jcassee) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in snapd (Ubuntu):
status: New → Confirmed
John Lenton (chipaca) wrote :

Sorry we didn't spot this report! We're fixing it now.

Changed in snapd (Ubuntu):
status: Confirmed → In Progress
Timo Kluck (tkluck) wrote :

Thanks for finding the source of this puzzling message! I noticed John and Daniel made translation suggestions for both of the offending messages; what needs to happen to merge them?

Moreover, if you'll allow me an additional comment on this:

I really like that you care so much about UX and copy quality that you added a form of automatic testing for it. Having said that, the delivery of the results of its is suboptimal:

 - this issue is not actionable for users (except for filing a bug report).
 - translators typically won't see these errors (or even realize that they caused it; it's really quite cryptic)
 - developers won't test very many locales

It's also quite scary to get a warning from your package manager -- "how badly broken is my system?" -- and that's not really fitting for such a harmless issue.

It might be wiser to put these kinds of warnings in a CI build that deliberately scans all translations. And even if that's not in place yet, I would err on the side of just suppressing this warning from the end-user binary for now; it's not an effective tool for what it's trying to do.

John Lenton (chipaca) wrote :

Timo, I appreciate your concerns and mostly agree with what you're saying, with some "but"s.

We are running a test across all locales. We had an issue (that was made obvious by this bug), where we weren't pulling the updated translations from launchpad back into our tree. We've fixed this, although we need to revisit to make sure it's happening automatically at some point.

The warning as presented is not actionable by users. I need to reword it so that it's clear that the expected action _is_ to file a bug (or contact us on IRC, or the snapcraft forum). I'll get on that later this week (and while this is part of addressing the root cause of this bug, I don't feel it's part of this bug per se).

Translators won't see the errors -- yeah, I don't know how to fix this. There's no simple way for a translator to update their system with the translations they just did, to see how they look in context. We have gone through all i18n'ed strings and made sure they have an appropriate // TRANSLATORS comment to mitigate this issue.

HTH, HAND.

Joost Cassee (jcassee) wrote :

I'd like to +1 Timo's comment. Even after filing a bug, the warning is printed every time the snap command is run until the bugfix propagates to the stable repository, which may be months (in this case). Alternatively, an environment variable to silence these warning would be appreciated. (It seems to me this kind of problem should theoretically be discoverable during build time, although the particular build system may not support it.)

Adolfo Jayme (fitojb) on 2018-10-27
Changed in snapd (Ubuntu):
importance: Undecided → Medium
Igor Zubarev (igor.zubarev) wrote :

This bug is similar to
https://bugs.launchpad.net/ubuntu/+source/snap/+bug/1806761

Please help to fix it too

Adolfo Jayme (fitojb) on 2018-12-14
Changed in ubuntu-translations:
assignee: nobody → Ubuntu Dutch Translators (ubuntu-l10n-nl)

Is something wrong with the Dutch translation? In what module can I find these strings? What does it say in English?

Sebastien Bacher (seb128) wrote :

Looks like that was fixed in https://github.com/snapcore/snapd/commit/7d418342 but there has been no new version upload to Ubuntu since that commit

Changed in snapd (Ubuntu):
status: In Progress → Fix Committed
RavanH (ravanhagen) wrote :

There is a manual fix (or work-around?) suggested here https://forum.snapcraft.io/t/weird-error-message-whenever-i-run-the-snap-command/6418/16 ...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers